Subject: Re: [PATCH] spi: fsl-spi: use of_iomap() to map parameter ram on CPM1

From: leroy christophe <[email-masked]>
Date: Wed, 04 Mar 2015 09:00:39 +0100

Le 03/03/2015 19:44, Mark Brown a écrit :
> On Thu, Feb 26, 2015 at 05:11:42PM +0100, Christophe Leroy wrote:
>> On CPM2, the SPI parameter RAM is dynamically allocated in the dualport RAM
>> whereas in CPM1, it is statically allocated to a default address with
>> capability to relocate it somewhere else via the use of CPM micropatch.
>> The address of the parameter RAM is given by the boot loader and expected
>> to be mapped via of_iomap()
> Why are we using of_iomap() rather than a generic I/O mapping function
> here?
Euh ...

because all drivers for powerpc seems to be using of_iomap(), as on 
powerpc the HW is described by the bootloader in a OF device tree.
Today, of_iomap() is at least used in FSL SPI, FSL UART, SPI mpc52xx, 
UART mpc52xx, i2c-mpc, i2c-cpm, freescale ethernet drivers, etc ....

Is it not correct ?